<?php
ini_set('display_errors', 1);
require_once './Control/ControlArea.php';
require_once './Util/formAjax/FormAjax.php';
//require_once './Util/Imagem.php';
extract($_POST);
//echo print_r($_POST, true);	
$controlArea = new ControlArea();
if ($acao == 'inserir')
{
	$area = new Area();
} else
{
	$area = $controlArea->pegarUmArea($pk);
}
if ($acao != 'excluir')
{
    $area->lang = $lang;
    $area->setTitulo(stripslashes($txtTitulo));
    $area->setDescricao(stripslashes($txtDescricao));
    $area->sTexto(stripslashes($txtTexto));
    $area->sTexto1(stripslashes($txtTexto1));
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlArea->salvarArea($area);
                    break;
            case 'inserir':
                    $retorno = $controlArea->salvarArea($area);
                    $acao = 'alterar';
                    $area->find(true);
                    $pk = $area->getAreaid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlArea->excluirArea($area);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#areaID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}

?>